---
document: modulemd
version: 2
data:
  name: perl-App-cpanminus
  stream: 1.7044
  version: 8010020191120175858
  context: a9207fc6
  arch: ppc64le
  summary: Get, unpack, build and install CPAN modules
  description: >
    This is a CPAN client that requires zero configuration, and stands alone but it's
    maintainable and extensible with plug-ins and friendly to shell scripting.
  license:
    module:
    - MIT
    content:
    - (GPL+ or Artistic) and GPLv2+
    - ASL 2.0
    - GPL+ or Artistic
  dependencies:
  - buildrequires:
      perl: [5.26]
      platform: [el8.1.0]
    requires:
      perl: [5.26]
      perl-YAML: []
      platform: [el8]
  references:
    community: https://metacpan.org/release/App-cpanminus
  profiles:
    common:
      description: App-cpanminus distribution
      rpms:
      - perl-App-cpanminus
  api:
    rpms:
    - perl-App-cpanminus
  filter:
    rpms:
    - perl-Test-Deep
  buildopts:
    rpms:
      macros: |
        %_without_perl_CPAN_Meta_Check_enables_extra_test 1
  components:
    rpms:
      perl-App-cpanminus:
        rationale: The API.
        ref: f1dea4e1f2d8acc552aff0862225f66427841a5c
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-CPAN-DistnameInfo:
        rationale: Run-time dependency.
        ref: 3c1dd660703103a034943dd46cff0eeabd2837f8
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-CPAN-Meta-Check:
        rationale: Run-time dependency.
        ref: 0d4f016dfb1e8fb228c2aaf2184e98df009f3cdf
        buildorder: 1
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-File-pushd:
        rationale: Run-time dependency.
        ref: e142a5651c74b28bbb04be2d752a2ec1659e845a
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Module-CPANfile:
        rationale: Run-time dependency.
        ref: 87605b2588d1a577c5ab6d33051aefe4bf1bd254
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Parse-PMFile:
        rationale: Run-time dependency.
        ref: 5b906f9d5bb9e45b7e71cd2171f3d5be3d2d77c7
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-String-ShellQuote:
        rationale: Run-time dependency.
        ref: e431e61aef5ea0743f23397920596b9a4b2336b4
        arches: [aarch64, i686, ppc64le, x86_64]
      perl-Test-Deep:
        rationale: Build-time dependency.
        ref: 3b57f32bb715c51049b2765ead29d0675e9fea9c
        arches: [aarch64, i686, ppc64le, x86_64]
  artifacts:
    rpms:
    - perl-App-cpanminus-0:1.7044-5.module_el8.1.0+241+cfcaf26a.noarch
    - perl-App-cpanminus-0:1.7044-5.module_el8.1.0+241+cfcaf26a.src
    - perl-CPAN-DistnameInfo-0:0.12-12.module_el8.1.0+241+cfcaf26a.noarch
    - perl-CPAN-DistnameInfo-0:0.12-12.module_el8.1.0+241+cfcaf26a.src
    - perl-CPAN-Meta-Check-0:0.014-6.module_el8.1.0+241+cfcaf26a.noarch
    - perl-CPAN-Meta-Check-0:0.014-6.module_el8.1.0+241+cfcaf26a.src
    - perl-File-pushd-0:1.014-6.module_el8.1.0+241+cfcaf26a.noarch
    - perl-File-pushd-0:1.014-6.module_el8.1.0+241+cfcaf26a.src
    - perl-Module-CPANfile-0:1.1002-7.module_el8.1.0+241+cfcaf26a.noarch
    - perl-Module-CPANfile-0:1.1002-7.module_el8.1.0+241+cfcaf26a.src
    - perl-Parse-PMFile-0:0.41-7.module_el8.1.0+241+cfcaf26a.noarch
    - perl-Parse-PMFile-0:0.41-7.module_el8.1.0+241+cfcaf26a.src
    - perl-String-ShellQuote-0:1.04-24.module_el8.1.0+241+cfcaf26a.noarch
    - perl-String-ShellQuote-0:1.04-24.module_el8.1.0+241+cfcaf26a.src
...
